# Uses of Class
org.apache.lucene.facet.range.Range

Packages that use Range
Package
Description
org.apache.lucene.facet.range
Provides range faceting capabilities.

- ## Uses of Range in org.apache.lucene.facet.range

  Subclasses of Range in org.apache.lucene.facet.range
  Modifier and Type
  Class
  Description
  `final class`
  `DoubleRange`
  Represents a range over double values.
  `final class`
  `LongRange`
  Represents a range over long values.
  Fields in org.apache.lucene.facet.range declared as Range
  Modifier and Type
  Field
  Description
  `protected final Range[]`
  RangeFacetCounts.`ranges`
  Ranges passed to constructor.
  `protected final Range[]`
  RangeFacetCounts.`ranges`
  Ranges passed to constructor.